Associations - List All
Gets all association for the given scope.
GET https://management.azure.com/{scope}/providers/Microsoft.CustomProviders/associations?api-version=2018-09-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
scope
|
path | True |
string |
The scope of the association. |
|
api-version
|
query | True |
string |
The API version to be used with the HTTP request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Returns all associations for the given scope. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get all associations
Sample request
GET https://management.azure.com/scope/providers/Microsoft.CustomProviders/associations?api-version=2018-09-01-preview
Sample response
{
"value": [
{
"name": "associationName",
"id": "scope/providers/Microsoft.CustomProviders/associations/associationName",
"type": "Microsoft.CustomProviders/associations",
"properties": {
"targetResourceId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/appRG/providers/Microsoft.Solutions/applications/applicationName",
"provisioningState": "Succeeded"
}
}
]
}
Definitions
| Name | Description |
|---|---|
| Association |
The resource definition of this association. |
|
Associations |
List of associations. |
|
Error |
Error definition. |
|
Error |
Error response. |
|
Provisioning |
The provisioning state of the resource provider. |
Association
The resource definition of this association.
| Name | Type | Description |
|---|---|---|
| id |
string |
The association id. |
| name |
string |
The association name. |
| properties.provisioningState |
The provisioning state of the association. |
|
| properties.targetResourceId |
string |
The REST resource instance of the target resource for this association. |
| type |
string |
The association type. |
AssociationsList
List of associations.
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
The URL to use for getting the next set of results. |
| value |
The array of associations. |
ErrorDefinition
Error definition.
| Name | Type | Description |
|---|---|---|
| code |
string |
Service specific error code which serves as the substatus for the HTTP error code. |
| details |
Internal error details. |
|
| message |
string |
Description of the error. |
ErrorResponse
Error response.
| Name | Type | Description |
|---|---|---|
| error |
The error details. |
ProvisioningState
The provisioning state of the resource provider.
| Value | Description |
|---|---|
| Accepted | |
| Deleting | |
| Running | |
| Succeeded | |
| Failed |